export interface DebugObject {
    id: string;
    filename: string;
    sha256: string;
    lastUse: Date;
    filenameFromId(id: string): string;
}
export declare class DebugKeyboard implements DebugObject {
    id: string;
    filename: string;
    sha256: string;
    lastUse: Date;
    path: string;
    version: string;
    oskFontFace?: string;
    fontFace?: string;
    filenameFromId(id: string): string;
    toRegistrationBlob(): string;
}
export declare class DebugModel implements DebugObject {
    id: string;
    filename: string;
    sha256: string;
    lastUse: Date;
    filenameFromId(id: string): string;
    toRegistrationBlob(): string;
}
export declare class DebugPackage implements DebugObject {
    id: string;
    filename: string;
    sha256: string;
    lastUse: Date;
    name: string;
    filenameFromId(id: string): string;
}
export declare class DebugFont implements DebugObject {
    id: string;
    filename: string;
    sha256: string;
    lastUse: Date;
    facename: string;
    filenameFromId(id: string): string;
}
export declare class SiteData {
    keyboards: {
        [id: string]: DebugKeyboard;
    };
    models: {
        [id: string]: DebugModel;
    };
    packages: {
        [id: string]: DebugPackage;
    };
    fonts: {
        [id: string]: DebugFont;
    };
    constructor();
    private loadDebugObject;
    private loadState;
    saveState(): void;
}
export declare let data: SiteData;
export declare function isValidId(id: string): boolean;
export declare function simplifyId(id: string): string;
//# sourceMappingURL=data.d.ts.map