import chalk from 'chalk';
import { isValidId, simplifyId } from "../../../data.js";
export default function apiGet(data, req, res, next) {
    let id = req.query['id'];
    if (!isValidId(id)) {
        res.sendStatus(400);
        return;
    }
    id = simplifyId(id);
    const o = data[id];
    if (!o) {
        console.error(chalk.red(id + ' not found'));
        res.status(404).send(JSON.stringify({ error: id + ' not found' }));
    }
    else {
        res.send(JSON.stringify(o));
    }
    next();
}
//# sourceMappingURL=get.js.map