export interface KeymanDeveloperOptions {
    "use tab char"?: boolean;
    "link font sizes"?: boolean;
    "indent size"?: number;
    "use old debugger"?: boolean;
    "editor theme"?: string;
    "debugger break when exiting line"?: boolean;
    "debugger single step after break"?: boolean;
    "debugger show store offset"?: boolean;
    "debugger recompile with debug info"?: boolean;
    "debugger auto reset before compilng"?: boolean;
    "auto save before compiling"?: boolean;
    "osk auto save before importing"?: boolean;
    "web host port"?: number;
    "server keep alive"?: boolean;
    "server use local addresses"?: boolean;
    "server ngrok token"?: string;
    "server ngrok region"?: string;
    "server use ngrok"?: boolean;
    "server show console window"?: boolean;
    "char map disable database lookups"?: boolean;
    "char map auto lookup"?: boolean;
    "open keyboard files in source view"?: boolean;
    "display theme"?: string;
    "external editor path"?: string;
    "smtp server"?: string;
    "test email addresses"?: string;
    "web ladder length"?: number;
    "default project path"?: string;
    "automatically report errors"?: boolean;
    "automatically report usage"?: boolean;
    "toolbar visible"?: boolean;
    "active project"?: string;
    "prompt to upgrade projects"?: boolean;
}
type KeymanDeveloperOption = keyof KeymanDeveloperOptions;
export declare function loadOptions(): Promise<KeymanDeveloperOptions>;
export declare function getOption<T extends KeymanDeveloperOption>(valueName: T, defaultValue: KeymanDeveloperOptions[T]): KeymanDeveloperOptions[T];
/**
 * unit tests will clear options before running, for consistency
 */
export declare function clearOptions(): void;
export {};
//# sourceMappingURL=options.d.ts.map